[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFields.GetEnumerator

Return an enumerator for the for..in construct

## Declaration

Source position: db.pas line 1101

`public function TFields.GetEnumerator: TFieldsEnumerator;`

## Function result

TFieldsEnumerator instance used in enumerator.

## Description

GetEnumerator is the implementation of IEnumerable and returns an instance of TFieldsEnumerator

## See also

TFieldsEnumerator |  | Default enumerator for the fields collection of a dataset.
#rtl.system.IEnumerable

Documentation generated on: Feb 26 2014